#!/usr/bin/env bash
set -e
mkdir -p build
CMAKE_ARGS=()
CMAKE_ARGS+=("-DCMAKE_BUILD_TYPE=${1}")
CMAKE_ARGS+=("-DSPACEMIT_ORT_ROOT_DIR=${2}")
CMAKE_ARGS+=("-DCMAKE_TOOLCHAIN_FILE=$PWD/linux_riscv64.toolchain.cmake")

pushd build
cmake ../ "${CMAKE_ARGS[@]}"
make -j10
popd
